SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE  hrsa_salary_sob_back_item   (
id  bigint NOT NULL,
salary_sob_id  bigint NULL DEFAULT NULL ,
salary_item_id  bigint NULL DEFAULT NULL,
salary_item_code  varchar(255)  NULL DEFAULT NULL ,
data_type  varchar(255)  NULL DEFAULT NULL ,
rounding_mode  int NULL DEFAULT NULL ,
pattern  int NULL DEFAULT NULL ,
value_type  int NULL DEFAULT NULL  ,
formula_id  bigint NULL DEFAULT NULL ,
back_calc_type  int NULL DEFAULT NULL  ,
tenant_key  varchar(255)  NULL DEFAULT NULL ,
creator  bigint NULL DEFAULT NULL,
delete_type  int NULL DEFAULT NULL ,
create_time  datetime NULL DEFAULT NULL ,
update_time  datetime NULL DEFAULT NULL ,
PRIMARY KEY (id)
)
GO

alter table hrsa_salary_acct_record add back_calc_status int null
go
alter table hrsa_salary_acct_result add origin_result_value VARCHAR(1000) null
go
alter table hrsa_salary_acct_result_report add origin_result_value VARCHAR(1000) null 
go
alter table hrsa_salary_send add salary_acct_type int null
go
alter table hrsa_salary_send add send_status int null
go
alter table hrsa_salary_send_info add salary_acct_type int null  
go
alter table hrsa_salary_template add replenish_name VARCHAR(100) null  
go
alter table hrsa_salary_template add replenish_rule VARCHAR(255) null 
go
alter table hrsa_salary_template add replenish_salary_item_setting text null 
go
alter table hrsa_acct_result_temp add origin_result_value VARCHAR(1000) null 
go